package com.trunksbomb.minetriad;

import org.slf4j.Logger;

import com.mojang.logging.LogUtils;
import com.trunksbomb.minetriad.registry.TriadBlocks;
import com.trunksbomb.minetriad.registry.TriadBlockEntities;
import com.trunksbomb.minetriad.registry.TriadCreativeTabs;
import com.trunksbomb.minetriad.registry.TriadDataComponents;
import com.trunksbomb.minetriad.registry.TriadItems;
import com.trunksbomb.minetriad.registry.TriadMenus;

import net.neoforged.bus.api.IEventBus;
import net.neoforged.fml.ModContainer;
import net.neoforged.fml.common.Mod;

@Mod(MineTriad.MOD_ID)
public final class MineTriad {
    public static final String MOD_ID = "minetriad";
    public static final Logger LOGGER = LogUtils.getLogger();

    public MineTriad(IEventBus modEventBus, ModContainer modContainer) {
        TriadDataComponents.register(modEventBus);
        TriadBlocks.register(modEventBus);
        TriadBlockEntities.register(modEventBus);
        TriadItems.register(modEventBus);
        TriadMenus.register(modEventBus);
        TriadCreativeTabs.register(modEventBus);
    }
}
